Bug 1829079 - Second session fails to start correctly when user switching
Summary: Second session fails to start correctly when user switching
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: 33
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: openqa AcceptedBlocker
Depends On:
Blocks: F33FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2020-04-28 20:37 UTC by Adam Williamson
Modified: 2020-09-18 18:07 UTC (History)
19 users (show)

Fixed In Version: gdm-3.37.3-1.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-18 18:07:08 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
tarball of /var/log from the failed test (3.02 MB, application/octet-stream)
2020-04-28 20:44 UTC, Adam Williamson
no flags Details
Similar tarball with logs. (2.41 MB, application/gzip)
2020-05-26 08:54 UTC, Lukas Ruzicka
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME gdm issues 600 0 None None None 2020-07-18 17:06:59 UTC

Description Adam Williamson 2020-04-28 20:37:26 UTC
In Fedora Rawhide / 33 - this works OK on 32 - user switching is not working in openQA testing:

https://openqa.fedoraproject.org/tests/588557

the test is an automated version of https://fedoraproject.org/wiki/QA:Testcase_desktop_login so it does a lot of stuff, but it's failing when it tests user switching. At https://openqa.fedoraproject.org/tests/588557#step/desktop_login/70 it is logged in as user 'jim', and about to click 'Switch User...'. Clicking Switch User takes it to GDM - https://openqa.fedoraproject.org/tests/588557#step/desktop_login/71 - where it clicks on 'Jack Sparrow' ('jack') and enters the correct password. At this point it seems like the system briefly tries to start a session for jack but then something goes wrong, and it returns to GDM - https://openqa.fedoraproject.org/tests/588557#step/desktop_login/74 .

You can see a video of the test at https://openqa.fedoraproject.org/tests/588557/video ; the user switch attempt starts around 1:08 in the video, 20:00:20 in the timestamps. I'll attach logs here.

As desktop team just agreed that we should block the release on user switching going forward, I'm proposing this as a Fedora 33 Final blocker.

Comment 1 Adam Williamson 2020-04-28 20:44:30 UTC
Created attachment 1682623 [details]
tarball of /var/log from the failed test

You can use journalctl --file var/log/journal/c8db120e5f2f4027bedf0238954b4297/system.journal --utc to see the journal. The failed attempt to log in as jack happens around 20:01:20 UTC (the test runner hit 'enter' on the password at 20:01:19). You can use similar commands to see the individual user journals, I think jack is 1001.

Comment 2 Lukas Ruzicka 2020-05-26 08:52:44 UTC
In my home instance of OpenQA, I switched on the KDE user switching again, and the test fails similarly for KDE sessions. I am including the logs from the tested machine.

Comment 3 Lukas Ruzicka 2020-05-26 08:54:49 UTC
Created attachment 1692179 [details]
Similar tarball with logs.

Comment 4 Jaap 2020-07-09 10:24:47 UTC
after switch asks for "Authentication Required. Authentication is required to access the PC/SC daemon"

Comment 5 Kamil Páral 2020-07-09 13:26:10 UTC
The video is already purged, so I can't confirm exactly, but I see the same problem in F32 on my home laptop. Whenever one of the users is logged in, a second user login seems to briefly work (the desktop is shown for a second), but then it immediately returns to gdm.

Comment 6 Michael Catanzaro 2020-07-18 17:07:00 UTC
Hopefully fixed in gdm 3.36.3 by https://gitlab.gnome.org/GNOME/gdm/-/merge_requests/100

Comment 7 Geoffrey Marr 2020-07-20 19:03:00 UTC
Discussed during the 2020-07-20 blocker review meeting: [0]

The decision to classify this bug as an "AcceptedBlocker" was made as it violates the following criterion:

"User switching must work using the mechanisms offered (if any) by all release-blocking desktops in their default configuration."

[0] https://meetbot.fedoraproject.org/fedora-blocker-review/2020-07-20/f33-blocker-review.2020-07-20-16.18.txt

Comment 8 Adam Williamson 2020-07-20 19:05:38 UTC
We'll also need a 3.37 release for Rawhide. halfline is working on it now.

Comment 9 Ben Cotton 2020-08-11 15:21:07 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.

Comment 10 Lukas Ruzicka 2020-09-18 09:29:37 UTC
I cannot confirm this bug any more with the latest Gnome 3.38 on my laptop - ThinkPad T580. User switching works normally. I am able to keep switching the users without any issues - stopped after 10 successful attempts following each other.
KDE removed the option to switch users, so user switching cannot be done there using GUI elements.

Comment 11 Kamil Páral 2020-09-18 10:06:08 UTC
Yes, with latest F33, which includes gdm-3.38.0-1.fc33.x86_64, I'm no longer seeing any user switching issues. Can we consider this fixed?

Comment 12 Adam Williamson 2020-09-18 18:07:08 UTC
oh, yeah, it's been fixed for ages. openQA test has been passing at least since F33 branched.


Note You need to log in before you can comment on or make changes to this bug.